"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const LocalHostWarning_1 = require("./LocalHostWarning");
const react_1 = require("@testing-library/react");
const { getByText, getAllByTestId } = react_1.screen;
describe('LocalHostWarning component', () => {
    it('mounts', () => {
        (0, react_1.render)((0, jsx_runtime_1.jsx)(LocalHostWarning_1.default, {}));
        const title = getByText('App running outside of Contentful');
        const textLinks = getAllByTestId('cf-ui-text-link');
        expect(title).toBeVisible();
        expect(textLinks).toHaveLength(3);
    });
});
//# sourceMappingURL=LocalHostWarning.spec.js.map