"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePxToInt = exports.parseRemToPxInt = exports.translateRemToPx = void 0;
const translateRemToPx = (remValue) => {
    return 16 * remValue;
};
exports.translateRemToPx = translateRemToPx;
const parseStylingToken = (parsingUnit) => (value) => {
    const parsedValue = value.split(`${parsingUnit}`)[0];
    const intValue = Number(parsedValue);
    if (parsingUnit === 'rem')
        return (0, exports.translateRemToPx)(intValue);
    return intValue;
};
exports.parseRemToPxInt = parseStylingToken('rem');
exports.parsePxToInt = parseStylingToken('px');
exports.default = parseStylingToken;
//# sourceMappingURL=ParseStylingToken.js.map